### File

`src/app/_models/mappings.ts`

### Description

Area name object interface

### Index

###### Properties
locations name

### Properties

locations
`locations: `Array<string>``
Type : `Array<string>`
Locations that map to that area name.

name
`name: `string``
Type : `string`
Name of area

    interface Action {
      /** Action performed */
      action: string;
      /** Action approval status. */
      approval: boolean;
      /** Action ID */
      id: number;
      /** Admin's role in the system */
      role: string;
      /** Admin who initialized the action. */
      user: string;
    }

    /** Area name object interface */
    interface AreaName {
      /** Locations that map to that area name. */
      locations: Array<string>;
      /** Name of area */
      name: string;
    }

    /** Area type object interface */
    interface AreaType {
      /** Areas that map to that area type. */
      area: Array<string>;
      /** Type of area */
      name: string;
    }

    /** Category object interface */
    interface Category {
      /** Business category */
      name: string;
      /** Products that map to that category. */
      products: Array<string>;
    }

    /** @exports */
    export { Action, AreaName, AreaType, Category };

# result-matching ""

# No results matching ""